%define version 1.6.2.16
%define fversion 1.6.2
%define release %mkrel 8


Summary:   CheckInstall installations tracker
Name:      checkinstall
Version:   %version
Release:   %release
License:   GPLv2+
Group:     System/Packaging
#gw git snapshot
Source:    http://checkinstall.izto.org/files/source/%{name}-%{fversion}.tar.gz
Patch0:    checkinstall-mdv-fix-paths.patch
Patch2:    checkinstall-1.6.1-mdv-rpm-version-check.patch
Patch3:    installwatch-glibc_minor.patch
Patch4:    checkinstall-mdv-rpm-set-buildroot.patch
#gw from Debian, build with new glibc
Patch5:    checkinstall-1.6.1-deb-mdv-build-with-new-glibc.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
Url:       http://asic-linux.com.mx/~izto/checkinstall/
Requires:  rpm-build

%description
CheckInstall keeps track of all the files created or modified by your 
installation script ("make install" "make install_modules", "setup", etc),
builds a standard binary package and installs it in your system giving
you the ability to uninstall it with your distribution's standard 
package management utilities. 


%prep
%setup -q -n %name-%fversion
%patch0 -p1 -b .mdv
%patch2 -p0
%patch3 -p0 -b .glibc
%patch4 -p1 -b .buildroot
ln -s installwatch installwatch-0.7.0beta5
%patch5 -p1

%build
%make

%install
install -D -m 755 checkinstall %buildroot/%{_bindir}/checkinstall
install -D -m 755 makepak %buildroot/%{_sbindir}/makepak
install -m 755 installwatch/installwatch %buildroot/%{_bindir}
install -D -m 755 installwatch/installwatch.so %buildroot/%{_libdir}/checkinstall/installwatch.so
install -m 755 checkinstallrc-dist %buildroot/%{_libdir}/checkinstall/checkinstallrc
install -D -m 644 locale/checkinstall-es.mo %buildroot%_libdir/checkinstall/locale/es/LC_MESSAGES/checkinstall.mo
perl -pi -e "s!#PREFIX#!%_prefix!" %buildroot%_bindir/installwatch
perl -pi -e "s!/lib/!/%_lib/!" %buildroot%_bindir/*

%files
%doc README RELNOTES BUGS TODO CREDITS
%{_bindir}/installwatch
%{_bindir}/checkinstall
%{_sbindir}/makepak
%dir %{_libdir}/checkinstall/
%{_libdir}/checkinstall/checkinstallrc
%{_libdir}/checkinstall/installwatch.so
%lang(es) %{_libdir}/checkinstall/locale/es
%dir %{_libdir}/checkinstall/locale/




%changelog

* Tue Jan 22 2013 fwang <fwang> 1.6.2.16-8.mga3
+ Revision: 390731
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.6.2.16-7.mga3
+ Revision: 347651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 pterjan <pterjan> 1.6.2.16-6.mga3
+ Revision: 340566
- Replace the patch about glibc minor with one from opensus not needing to be updated for each new glibc

* Fri Jul 13 2012 solbu <solbu> 1.6.2.16-5.mga3
+ Revision: 270553
- imported package checkinstall
- Renamed patches, according to policy.
- Spec cleanup
- Don't ship COPYING and INSTALL

